x11/xcb-util-image - The NetBSD Packages Collection

XCB port of Xlib's XImage and XShmImage

XCB util-image module provides the following library:

  - image: Port of Xlib's XImage and XShmImage functions.

Build dependencies

x11/xcb-proto x11/xorgproto pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

x11/libxcb x11/xcb-util

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfxcb-util-image-0.4.0.tgz
NetBSD 8.0earmv7hfxcb-util-image-0.4.0.tgz
NetBSD 8.0earmv7hfxcb-util-image-0.4.0.tgz
NetBSD 8.0i386xcb-util-image-0.4.0.tgz
NetBSD 8.0i386xcb-util-image-0.4.0.tgz
NetBSD 8.0i386xcb-util-image-0.4.0.tgz
NetBSD 8.0powerpcxcb-util-image-0.4.0.tgz
NetBSD 8.0powerpcxcb-util-image-0.4.0.tgz
NetBSD 8.0powerpcxcb-util-image-0.4.0.tgz
NetBSD 8.0x86_64xcb-util-image-0.4.0.tgz
NetBSD 8.0x86_64xcb-util-image-0.4.0.tgz
NetBSD 9.0aarch64xcb-util-image-0.4.0.tgz
NetBSD 9.0aarch64xcb-util-image-0.4.0.tgz
NetBSD 9.0aarch64xcb-util-image-0.4.0.tgz
NetBSD 9.0alphaxcb-util-image-0.4.0.tgz
NetBSD 9.0alphaxcb-util-image-0.4.0.tgz
NetBSD 9.0alphaxcb-util-image-0.4.0.tgz
NetBSD 9.0earmxcb-util-image-0.4.0.tgz
NetBSD 9.0earmxcb-util-image-0.4.0.tgz
NetBSD 9.0earmxcb-util-image-0.4.0.tgz
NetBSD 9.0earmv6hfxcb-util-image-0.4.0.tgz
NetBSD 9.0earmv6hfxcb-util-image-0.4.0.tgz
NetBSD 9.0earmv6hfxcb-util-image-0.4.0.tgz
NetBSD 9.0earmv6hfxcb-util-image-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-image-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-image-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-image-0.4.0.tgz
NetBSD 9.0earmv7hfxcb-util-image-0.4.0.tgz
NetBSD 9.0i386xcb-util-image-0.4.0.tgz
NetBSD 9.0i386xcb-util-image-0.4.0.tgz
NetBSD 9.0i386xcb-util-image-0.4.0.tgz
NetBSD 9.0m68kxcb-util-image-0.4.0.tgz
NetBSD 9.0m68kxcb-util-image-0.4.0.tgz
NetBSD 9.0m68kxcb-util-image-0.4.0.tgz
NetBSD 9.0mips64ebxcb-util-image-0.4.0.tgz
NetBSD 9.0mips64ebxcb-util-image-0.4.0.tgz
NetBSD 9.0mips64ebxcb-util-image-0.4.0.tgz
NetBSD 9.0mipselxcb-util-image-0.4.0.tgz
NetBSD 9.0mipselxcb-util-image-0.4.0.tgz
NetBSD 9.0powerpcxcb-util-image-0.4.0.tgz
NetBSD 9.0powerpcxcb-util-image-0.4.0.tgz
NetBSD 9.0sh3elxcb-util-image-0.4.0.tgz
NetBSD 9.0sh3elxcb-util-image-0.4.0.tgz
NetBSD 9.0sh3elxcb-util-image-0.4.0.tgz
NetBSD 9.0sparc64xcb-util-image-0.4.0.tgz
NetBSD 9.0sparc64xcb-util-image-0.4.0.tgz
NetBSD 9.0sparc64xcb-util-image-0.4.0.tgz
NetBSD 9.0sparc64xcb-util-image-0.4.0.tgz
NetBSD 9.0sparcxcb-util-image-0.4.0.tgz
NetBSD 9.0sparcxcb-util-image-0.4.0.tgz
NetBSD 9.0sparcxcb-util-image-0.4.0.tgz
NetBSD 9.0vaxxcb-util-image-0.4.0.tgz
NetBSD 9.0vaxxcb-util-image-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-image-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-image-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-image-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-image-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-image-0.4.0.tgz
NetBSD 9.0x86_64xcb-util-image-0.4.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.